#{extends 'common/landing-base.html' /}
<section class="header-artikel">
    <div class="ui grid">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Rekap UKPBJ</h2>
        </div>
    </div>
</section>
<br/>
<section class="wrapper-rekap-ukpbj">
    <div class="ui container">
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="ui breadcrumb">
                    <a href="@{core.LandingController.index()}" class="section">Home</a>
                    <div class="divider"> /</div>
                    <div class="active section">Rekap UKPBJ</div>
                </div>
            </div>
        </div>
        <div class="ui grid stackable" style="border-radius: 20px; border: 1px solid #2b2b2b;">
            <div class="eight wide column">
            #{common.donut-chart chartable: kelembagaanChart, id: "canvasKelembagaan", title: 'Kelembagaan', legend: true, scriptName: 'kelembagaanScript'/}
            </div>
            <div class="eight wide column">
            #{common.donut-chart chartable: kematanganChart, id: "canvasKematangan", title: 'Kematangan', legend: true, scriptName: 'kematanganScript'/}
            </div>
            <div class="centered eight wide column">
            #{common.donut-chart chartable: perKldiChart, id: "canvasPerKldi", title: 'Jumlah Per KLPD', legend: true, scriptName: 'perKldiScript'/}
            </div>
        </div>
        <div class="ui divider hidden"></div>
        <div class="ui divider hidden"></div>
    #{dashboard.rekap-ukpbj-search-bar result:result, query:query, kematangans:kematangans, kelembagaans:kelembagaans /}
        <div class="ui divider hidden"></div>
        <div class="ui grid stackable ">
            <div class="sixteen wide column">
                <table class="ui striped celled structured table padded comp-table-th ">
                    <thead>
                    <tr>
                        <th>Nama</th>
                        <th>KLPD</th>
                        <th>Kelembagaan</th>
                        <th>Tingkat Kematangan</th>
                        <th>Proaktif</th>
                        <th>Esensi</th>
                        <th>Inisiasi</th>
                    </tr>
                    </thead>
                    <tbody class="left aligned">
                    #{list items: result?.getItems(), as: 'rekap'}
                    <tr>
                        <td>${rekap.nama}</td>
                        <td>${rekap.nama_kldi}</td>
                        #{if rekap?.kelembagaan != null}
                            <td>${rekap.kelembagaan.label}</td>
                        #{/if}
                        #{else}
                            <td></td>
                        #{/else}
                        <td class="right aligned">${rekap.kematangan}</td>
                        <td>
                            <div class="ui bulleted list">
                                #{list items:rekap.listProaktif(), as:'matrix'}
                                    <div class="item">${matrix.label}</div>
                                #{/list}
                            </div>
                        </td>
                        <td>
                            <div class="ui bulleted list">
                                #{list items:rekap.listEsensi(), as:'matrix'}
                                    <div class="item">${matrix.label}</div>
                                #{/list}
                            </div>
                        </td>
                        <td>
                            <div class="ui bulleted list">
                                #{list items:rekap.listInisiasi(), as:'matrix'}
                                    <div class="item">${matrix.label}</div>
                                #{/list}
                            </div>
                        </td>
                    </tr>
                    #{/list}
                    </tbody>
                </table>
            </div>
        </div>
    #{pagination result /}
    </div>
</section>



#{set 'moreScripts'}
    #{get 'moreScripts'/}
    #{get 'kelembagaanScript' /}
    #{get 'kematanganScript' /}
    #{get 'perKldiScript' /}
#{/set}